Bug 441179 - libmysqlclient.so not found
libmysqlclient.so not found
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gpsdrive (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 21:51 EDT by Rick Richardson
Modified: 2008-09-10 03:08 EDT (History)
0 users

See Also:
Fixed In Version: 2.09-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 15:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2008-04-06 21:51:50 EDT
$ gpsdrive

libmysqlclient.so not found

MySQL support disabled.

Please put libmysqlclient.so so that MySQL works.
Comment 1 Fedora Update System 2008-04-08 23:30:28 EDT
gpsdrive-2.09-5.fc8 has been submitted as an update for Fedora 8
Comment 2 Kevin Fenzi 2008-04-08 23:35:23 EDT
gpsdrive tries to load the mysql client library dynamically at runtime. 

However, it was trying to load libmysqlclient.so.10, which is from an ancient
mysql that fedora no longer ships (3.23). 

I have patched it to look for the current libmysqlclient.so.15 package. 
There should be an update soon, or you can go get it from the build system and
test it out: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=558911
Comment 3 Fedora Update System 2008-04-08 23:39:06 EDT
gpsdrive-2.09-5.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-04-16 23:48:56 EDT
gpsdrive-2.09-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpsdrive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-3062
Comment 5 Fedora Update System 2008-06-06 03:45:48 EDT
gpsdrive-2.09-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-06-06 03:48:42 EDT
gpsdrive-2.09-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Kevin Fenzi 2008-06-06 15:39:21 EDT
This update has been pushed out, I'm going to go ahead and close this now. 
Feel free to re-open or file a new bug if you spot anything further. 
Comment 8 Fedora Update System 2008-08-28 00:13:07 EDT
gpsdrive-2.09-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gpsdrive-2.09-6.fc9
Comment 9 Fedora Update System 2008-09-10 03:08:49 EDT
gpsdrive-2.09-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.